## meson 0.56.1

=== debian/changelog ===
meson (0.56.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jun 2021 14:58:57 -0700

meson (0.56.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Build-Depend on cmake (>= 3.16.3) and Depend on ninja-build (>= 1.10)
    since buster versions fail on tests

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Jan 2021 22:12:10 +0300

meson (0.56.1-1) unstable; urgency=medium

  * New upstream release.
  * Add cups-config to debcrossgen. Closes: #977633.
  * Remove aarch64 patch as the underlying issue has been fixed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 Jan 2021 12:43:02 +0200

meson (0.56.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip unimplmented test on arm64. Closes: #975411.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Nov 2020 15:30:07 +0100

=== debian/control ===
Source: meson
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Uploaders: Michael Tokarev <mjt@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.0
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: bash-completion,
               bison <!nocheck>,
               cmake (>= 3.16.3) <!nocheck>,
               cython3 <!nocheck>,
               debhelper-compat (= 12),
               default-jdk-headless [!hurd-i386] <!nocheck>,
               dh-exec,
               dh-python,
               doxygen <!nocheck>,
               flex <!nocheck>,
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               gtk-sharp2 <!nocheck>,
               gtk-sharp2-gapi <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository1.0-dev <!nocheck>,
               libglib2.0-cil-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
               libwxgtk3.0-gtk3-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               mono-devel <!nocheck>,
               mono-mcs <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.10),
               openmpi-bin <!nocheck>,
               openssh-client <!nocheck>,
               pkg-config <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.5),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
               zlib1g-dev <!nocheck>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build(>=1.10),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/tests/control ===
Tests: basicmeson
Depends: g++, meson

Tests: clangmeson
Depends: clang, meson

Tests: exhaustive
Depends: ldc [!s390x !ppc64el], meson, rustc, valac, @builddeps@

Tests: crossbuild
Depends: g++, g++-arm-linux-gnueabihf [!s390x], meson

## meson 0.56.2

=== test cases/common/164 array option/meson_options.txt ===
# Copyright © 2017 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

option(
  'array',
  type : 'array',
  choices : ['foo', 'bar'],
)

=== test cases/cmake/16 threads/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod CXX)
set (CMAKE_CXX_STANDARD 14)

if(NOT USE_PTHREAD STREQUAL NOT_SET)
  set(THREADS_PREFER_PTHREAD_FLAG ${USE_PTHREAD})
endif()
find_package(Threads)

add_library(cmModLib STATIC cmMod.cpp)
target_link_libraries(cmModLib PRIVATE Threads::Threads)

add_library(cmModLib_shared SHARED cmMod.cpp)
target_link_libraries(cmModLib_shared PUBLIC Threads::Threads)

=== test cases/cmake/23 cmake toolchain/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)

if(NOT "${MESON_TEST_VAR1}" STREQUAL "VAR1 space")
  message(FATAL_ERROR "MESON_TEST_VAR1 -- '${MESON_TEST_VAR1}' != 'VAR1 space'")
endif()

if(NOT "${MESON_TEST_VAR2}" STREQUAL "VAR2")
  message(FATAL_ERROR "MESON_TEST_VAR2 -- '${MESON_TEST_VAR2}' != 'VAR2'")
endif()

=== debian/changelog ===
meson (0.56.2-1) unstable; urgency=medium

  * New upstream release
  * Updated standards version.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Jan 2021 14:51:13 +0200

=== debian/control ===
Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.5.1
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.5),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-gtk3-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  gtk-sharp2 <!nocheck>,
  gtk-sharp2-gapi <!nocheck>,
  libglib2.0-cil-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 0.57.0

=== debian/changelog ===
meson (0.57.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 14 Feb 2021 21:29:36 +0200

meson (0.57.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add recommends to dpkg-dev. Closes: #977051.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 09 Feb 2021 01:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -97,6 +97,8 @@
  ${python3:Depends},
  ninja-build(>=1.6),
  python3-pkg-resources,
+Recommends:
+ dpkg-dev,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

## meson 0.57.0+really0.56.2

=== mesonbuild/dependencies/data/CMakeLists.txt ===
# fail noisily if attempt to use this file without setting:
# cmake_minimum_required(VERSION ${CMAKE_VERSION})
# project(... LANGUAGES ...)

cmake_policy(SET CMP0000 NEW)

set(PACKAGE_FOUND FALSE)
set(_packageName "${NAME}")
string(TOUPPER "${_packageName}" PACKAGE_NAME)

while(TRUE)
  find_package("${NAME}" QUIET COMPONENTS ${COMPS})

  # ARCHS has to be set via the CMD interface
  if(${_packageName}_FOUND OR ${PACKAGE_NAME}_FOUND OR "${ARCHS}" STREQUAL "")
    break()
  endif()

  list(GET       ARCHS 0 CMAKE_LIBRARY_ARCHITECTURE)
  list(REMOVE_AT ARCHS 0)
endwhile()

if(${_packageName}_FOUND  OR  ${PACKAGE_NAME}_FOUND)
  set(PACKAGE_FOUND TRUE)

  # Check the following variables:
  # FOO_VERSION
  # Foo_VERSION
  # FOO_VERSION_STRING
  # Foo_VERSION_STRING
  if(NOT DEFINED PACKAGE_VERSION)
    if(DEFINED ${_packageName}_VERSION)
      set(PACKAGE_VERSION "${${_packageName}_VERSION}")
    elseif(DEFINED ${PACKAGE_NAME}_VERSION)
      set(PACKAGE_VERSION "${${PACKAGE_NAME}_VERSION}")
    elseif(DEFINED ${_packageName}_VERSION_STRING)
      set(PACKAGE_VERSION "${${_packageName}_VERSION_STRING}")
    elseif(DEFINED ${PACKAGE_NAME}_VERSION_STRING)
      set(PACKAGE_VERSION "${${PACKAGE_NAME}_VERSION_STRING}")
    endif()
  endif()

  # Check the following variables:
  # FOO_LIBRARIES
  # Foo_LIBRARIES
  # FOO_LIBS
  # Foo_LIBS
  set(libs)
  if(DEFINED ${_packageName}_LIBRARIES)
    set(libs ${_packageName}_LIBRARIES)
  elseif(DEFINED ${PACKAGE_NAME}_LIBRARIES)
    set(libs ${PACKAGE_NAME}_LIBRARIES)
  elseif(DEFINED ${_packageName}_LIBS)
    set(libs ${_packageName}_LIBS)
  elseif(DEFINED ${PACKAGE_NAME}_LIBS)
    set(libs ${PACKAGE_NAME}_LIBS)
  endif()

  # Check the following variables:
  # FOO_INCLUDE_DIRS
  # Foo_INCLUDE_DIRS
  # FOO_INCLUDES
  # Foo_INCLUDES
  # FOO_INCLUDE_DIR
  # Foo_INCLUDE_DIR
  set(includes)
  if(DEFINED ${_packageName}_INCLUDE_DIRS)
    set(includes ${_packageName}_INCLUDE_DIRS)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDE_DIRS)
    set(includes ${PACKAGE_NAME}_INCLUDE_DIRS)
  elseif(DEFINED ${_packageName}_INCLUDES)
    set(includes ${_packageName}_INCLUDES)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDES)
    set(includes ${PACKAGE_NAME}_INCLUDES)
  elseif(DEFINED ${_packageName}_INCLUDE_DIR)
    set(includes ${_packageName}_INCLUDE_DIR)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDE_DIR)
    set(includes ${PACKAGE_NAME}_INCLUDE_DIR)
  endif()

  # Check the following variables:
  # FOO_DEFINITIONS
  # Foo_DEFINITIONS
  set(definitions)
  if(DEFINED ${_packageName}_DEFINITIONS)
    set(definitions ${_packageName}_DEFINITIONS)
  elseif(DEFINED ${PACKAGE_NAME}_DEFINITIONS)
    set(definitions ${PACKAGE_NAME}_DEFINITIONS)
  endif()

  set(PACKAGE_INCLUDE_DIRS "${${includes}}")
  set(PACKAGE_DEFINITIONS  "${${definitions}}")
  set(PACKAGE_LIBRARIES    "${${libs}}")
endif()

=== debian/changelog ===
meson (0.57.0+really0.56.2-0.1) unstable; urgency=medium

  * update

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 22 Apr 2021 16:37:03 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
   python3:any (>= 3.5),
   dh-exec,
   dh-python,
@@ -97,8 +97,6 @@
  ${python3:Depends},
  ninja-build(>=1.6),
  python3-pkg-resources,
-Recommends:
- dpkg-dev,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

# At the time of writing the packaging machinery does not put @builddeps@ into
# autopkg deps. The tests are only automatically run when packages explicitly
# listed as Depends are uploaded. List a few major ones to make sure those
# tests are run and thus block broken uploads.
Tests: exhaustive
Depends: meson, @builddeps@, valac, rustc, ldc [!s390x !ppc64el]

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf [!s390x]

## meson 0.60.0

=== debian/changelog ===
meson (0.60.0-1ubuntu1) jammy; urgency=medium

  * Cherry-pick patch to prevent lots of GNOME packages from failing to build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Oct 2021 18:33:07 -0400

meson (0.60.0-1) unstable; urgency=medium

  * New upstream release. Closes: #997121.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 24 Oct 2021 18:15:26 +0300

meson (0.60.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Oct 2021 19:52:11 +0300

meson (0.59.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Sep 2021 20:15:15 +0300

meson (0.59.1-2) unstable; urgency=medium

  * Add dep to python3-distutils. Closes: #994483.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 18 Sep 2021 14:33:52 +0300

meson (0.59.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 18 Aug 2021 14:26:41 +0300

meson (0.59.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Jul 2021 13:04:17 +0300

meson (0.59.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 12 Jul 2021 01:07:24 +0300

meson (0.59.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cross test fix from Helmut Grohne. Closes: #989823.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 05 Jul 2021 22:12:20 +0300

meson (0.58.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 07 Jun 2021 20:36:31 +0300

meson (0.58.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 May 2021 12:43:46 +0300

meson (0.58.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 27 Apr 2021 09:53:20 +0300

meson (0.57.2-1) experimental; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 10 Apr 2021 12:30:11 +0300

meson (0.57.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 20 Feb 2021 15:22:59 +0200

## meson 0.60.1

=== test cases/frameworks/1 boost/meson_options.txt ===
option('static', type: 'boolean', value: false)

=== test cases/cmake/23 cmake toolchain/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod NONE)

if(NOT "${MESON_TEST_VAR1}" STREQUAL "VAR1 space")
  message(FATAL_ERROR "MESON_TEST_VAR1 -- '${MESON_TEST_VAR1}' != 'VAR1 space'")
endif()

if(NOT "${MESON_TEST_VAR2}" STREQUAL "VAR2")
  message(FATAL_ERROR "MESON_TEST_VAR2 -- '${MESON_TEST_VAR2}' != 'VAR2'")
endif()

if(NOT DEFINED CMAKE_C_COMPILER_VERSION)
  message(FATAL_ERROR "CMAKE_C_COMPILER_VERSION was not defined")
endif()

## meson 0.60.2

=== debian/changelog ===
meson (0.60.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright info. Closes: #1000328.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 25 Nov 2021 23:26:26 +0200

meson (0.60.1-1) unstable; urgency=medium

  * New upstream release. Closes: #998124.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 02 Nov 2021 22:55:38 +0200

## meson 0.60.3

=== debian/changelog ===
meson (0.60.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 22 Dec 2021 19:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
+
 Source: meson
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
   python3:any (>= 3.5),
   dh-exec,
   dh-python,
@@ -97,6 +98,9 @@
  ${python3:Depends},
  ninja-build(>=1.6),
  python3-pkg-resources,
+ python3-distutils
+Recommends:
+ dpkg-dev,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

## meson 0.61.0

=== debian/changelog ===
meson (0.61.0-1ubuntu2) jammy; urgency=medium

  * Cherry-pick another patch to fix gtkdoc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jan 2022 19:50:58 -0500

meson (0.61.0-1ubuntu1) jammy; urgency=medium

  * Cherry-pick patch to fix gnome.generate_vapi

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jan 2022 19:38:21 -0500

meson (0.61.0-1) unstable; urgency=medium

  * New upstream release.
  * Add clang-format to build dependencies.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 10 Jan 2022 18:32:10 +0200

meson (0.61.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 Jan 2022 22:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
 Source: meson
-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.6.0
@@ -89,6 +90,7 @@
   doxygen <!nocheck>,
   nasm <!nocheck>,
   cmake <!nocheck>,
+  clang-format <!nocheck>,
 
 Package: meson
 Architecture: all

## meson 0.61.1

=== test cases/cmake/25 assembler/subprojects/cmTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmTest)

#Detect processor
if ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "amd64")
    SET(TEST_PROCESSOR "x86_64")
elseif ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
    SET(TEST_PROCESSOR "x86_64")
elseif ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i386")
    SET(TEST_PROCESSOR "x86")
elseif ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686")
    SET(TEST_PROCESSOR "x86")
elseif ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")
    SET(TEST_PROCESSOR "arm")
elseif ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "aarch64")
    SET(TEST_PROCESSOR "arm")
else ()
    message(FATAL_ERROR, 'MESON_SKIP_TEST: Unsupported Assembler Platform')
endif ()

#Detect ABI
if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
    SET(TEST_ABI "sysv")
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
    SET(TEST_ABI "sysv")
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "NetBSD")
    SET(TEST_ABI "sysv")
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "OpenBSD")
    SET(TEST_ABI "sysv")
else ()
    message(FATAL_ERROR, 'MESON_SKIP_TEST: Unsupported Assembler Platform')
endif ()

SET(TEST_PLATFORM "${TEST_PROCESSOR}-${TEST_ABI}")

if (    ("${TEST_PLATFORM}" MATCHES "x86_64-sysv")
     OR ("${TEST_PLATFORM}" MATCHES "x86-sysv")
     OR ("${TEST_PLATFORM}" MATCHES "arm-sysv"))
    SET(CMAKE_ASM_COMPILER ${CMAKE_C_COMPILER})
    enable_language(ASM)
    SET(TEST_SOURCE "cmTestAsm.s")
endif ()

add_library(cmTest STATIC cmTest.c ${TEST_SOURCE})

=== debian/changelog ===
meson (0.61.1-1~bpo11+1) bullseye-backports; urgency=medium

    * backport to bullseye

 -- Marc Leeman <m.leeman@televic.com>  Fri, 11 Mar 2022 10:34:43 +0100

meson (0.61.1-1~televic11+1) bullseye-televic-unstable; urgency=medium

  * Rebuild on moya

 -- Marc Leeman <m.leeman@televic.com>  Mon, 07 Feb 2022 09:02:26 +0100

meson (0.61.1-1) unstable; urgency=medium

  * New upstream release. Closes #1003535.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 17 Jan 2022 12:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
-
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Uploaders: Marc Leeman <m.leeman@televic.com>,
 Section: devel
 Priority: optional
 Standards-Version: 4.6.0

## meson 0.61.2

=== test cases/frameworks/15 llvm/meson_options.txt ===
option(
  'method',
  type : 'combo',
  choices : ['config-tool', 'cmake']
)
option(
  'link-static',
  type : 'boolean',
  value : false,
)

=== test cases/frameworks/17 mpi/meson_options.txt ===
option(
    'method',
    type : 'combo',
    choices : ['auto', 'pkg-config', 'config-tool', 'system'],
    value : 'auto',
)

=== test cases/unit/37 mixed command line args/meson_options.txt ===
option(
  'one',
  type : 'string',
)
option(
  'two',
  type : 'combo',
  choices : ['foo', 'bar'],
  value : 'foo',
)

=== test cases/cmake/1 basic/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions("-DDO_NOTHING_JUST_A_FLAG=1")

add_library(cmModLib++ SHARED cmMod.cpp)
target_compile_definitions(cmModLib++ PRIVATE MESON_MAGIC_FLAG=21)
target_compile_definitions(cmModLib++ INTERFACE MESON_MAGIC_FLAG=42)

# Test PCH support
if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
  target_precompile_headers(cmModLib++ PRIVATE "cpp_pch.hpp")
endif()

include(GenerateExportHeader)
generate_export_header(cmModLib++)

=== debian/changelog ===
meson (0.61.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Feb 2022 21:27:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
+
 Source: meson
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
-Uploaders: Marc Leeman <m.leeman@televic.com>,
 Section: devel
 Priority: optional
 Standards-Version: 4.6.0

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1
export DEB_BUILD_OPTIONS=nocheck
export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

## meson 0.62.1

=== debian/changelog ===
meson (0.62.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Apr 2022 11:58:53 -0700

meson (0.62.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1008189, #1009097, #1008382.
  * Add dep to setuptools as distutils has been removed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 Apr 2022 12:56:37 +0300

meson (0.62.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 21 Mar 2022 23:25:44 +0200

meson (0.62.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 15 Mar 2022 11:33:08 +0200

meson (0.62.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 10 Mar 2022 11:43:53 +0200

=== debian/control ===
Source: meson
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.0
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: bash-completion,
               bison <!nocheck>,
               clang-format <!nocheck>,
               cmake <!nocheck>,
               cython3 <!nocheck>,
               debhelper-compat (= 13),
               default-jdk-headless [!hurd-i386] <!nocheck>,
               dh-exec,
               dh-python,
               doxygen <!nocheck>,
               flex <!nocheck>,
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               gtk-sharp2 <!nocheck>,
               gtk-sharp2-gapi <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository1.0-dev <!nocheck>,
               libglib2.0-cil-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
               libwxgtk3.0-gtk3-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               mono-devel <!nocheck>,
               mono-mcs <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.6),
               openmpi-bin <!nocheck>,
               openssh-client <!nocheck>,
               pkg-config <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.5),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
               zlib1g-dev <!nocheck>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build(>=1.6),
         python3-pkg-resources,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dpkg-dev
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 0.62.2

=== debian/changelog ===
meson (0.62.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 02 Jun 2022 19:30:27 +0300

## meson 0.63.0

=== debian/changelog ===
meson (0.63.0-1ubuntu1) kinetic; urgency=medium

  * Add proposed patch to fix build test regressions
    (Closes: #1014417)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 11 Jul 2022 11:49:20 +0200

meson (0.63.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Jul 2022 17:46:02 +0300

meson (0.63.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 27 Jun 2022 18:15:21 +0300

meson (0.63.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Jun 2022 22:25:40 +0300

=== debian/control ===
Source: meson
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.5),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-gtk3-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  gtk-sharp2 <!nocheck>,
  gtk-sharp2-gapi <!nocheck>,
  libglib2.0-cil-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
 python3-setuptools
Recommends:
 dpkg-dev,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 0.63.1

=== debian/changelog ===
meson (0.63.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1014417, #1015132.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 13 Aug 2022 12:07:43 +0300

## meson 0.63.2

=== debian/changelog ===
meson (0.63.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1017087.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 03 Sep 2022 19:33:44 +0300

## meson 0.63.3

=== debian/changelog ===
meson (0.63.3-1) unstable; urgency=medium

  * New upstream release. Closes: #1020567.
  * Update wxwisgets dependency. Closes: #1019803.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 06 Oct 2022 00:24:00 +0300

## meson 0.64.0

=== debian/changelog ===
meson (0.64.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 06 Nov 2022 16:17:12 +0200

meson (0.64.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 01 Nov 2022 21:02:35 +0200

meson (0.64.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Oct 2022 19:37:09 +0300

## meson 0.64.1

=== debian/changelog ===
meson (0.64.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert debcrossgen to internal implementation as it does not work at all.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 23 Nov 2022 07:03:27 +0100

meson (0.64.1-1) unstable; urgency=medium

  * New upstream release.
  * Made debcrossgen use meson env2mfile.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Nov 2022 23:04:28 +0200

## meson 1.0.0

=== debian/changelog ===
meson (1.0.0-1.1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * change libwxgtk3.2-dev (test-only) build dependency into
    libwxgtk3.0-gtk3-dev for bullseye.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 27 Jan 2023 15:03:52 +0300

meson (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Correctly select the Debian python scheme with modern distutils.
    Closes: #1026312.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 11:22:03 -0400

meson (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 23 Dec 2022 18:24:54 +0200

meson (1.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 17 Dec 2022 00:28:50 +0200

meson (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 10 Dec 2022 19:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Section: devel
 Priority: optional
 Standards-Version: 4.6.1

## meson 1.0.1

=== test cases/frameworks/16 sdl2/meson_options.txt ===
option(
    'method',
    type : 'combo',
    choices : ['auto', 'pkg-config', 'config-tool', 'sdlconfig', 'extraframework'],
    value : 'auto',
)

=== test cases/unit/108 configure same noop/meson_options.txt ===
option(
  'opt',
  type : 'string',
  value: '',
)

=== test cases/unit/84 nested subproject regenerate depends/subprojects/sub2/CMakeLists.txt ===
project(sub2)

=== debian/changelog ===
meson (1.0.1-4~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add libwxgtk3.0-gtk3-dev (test-only) alternative build dependency for
    libwxgtk3.2-dev for bullseye.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Mar 2023 14:31:53 -0800

meson (1.0.1-4) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Feb 2023 20:22:54 +0200

meson (1.0.1-3) experimental; urgency=medium

  * Remove env2mfile test patch.
  * Fix ppcle64 cpu detection. Closes: #1019413.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 27 Feb 2023 02:17:42 +0200

meson (1.0.1-2) experimental; urgency=medium

  * Testing fixes for env2mfile in package builds.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 25 Feb 2023 03:21:17 +0200

meson (1.0.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1029250.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Feb 2023 00:09:22 +0200

=== debian/control ===
Source: meson
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: bash-completion,
               bison <!nocheck>,
               clang-format <!nocheck>,
               cmake <!nocheck>,
               cython3 <!nocheck>,
               debhelper-compat (= 13),
               default-jdk-headless [!hurd-i386] <!nocheck>,
               dh-exec,
               dh-python,
               doxygen <!nocheck>,
               flex <!nocheck>,
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               gtk-sharp2 <!nocheck>,
               gtk-sharp2-gapi <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository1.0-dev <!nocheck>,
               libglib2.0-cil-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
               libwxgtk3.2-dev <!nocheck> | libwxgtk3.0-gtk3-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               mono-devel <!nocheck>,
               mono-mcs <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.6),
               openmpi-bin <!nocheck>,
               openssh-client <!nocheck>,
               pkg-config <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.5),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
               zlib1g-dev <!nocheck>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build(>=1.6),
         python3-pkg-resources,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dpkg-dev
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/tests/control ===
Tests: basicmeson
Depends: g++, meson

Tests: clangmeson
Depends: clang, meson

Tests: exhaustive
Depends: ldc [!s390x !ppc64el], meson, rustc, valac, @builddeps@

Tests: crossbuild
Depends: g++, g++-arm-linux-gnueabihf, meson
Restrictions: skip-not-installable

## meson 1.0.1-5ubuntu1~backport22.04.202401160847~ubuntu22.04.1

=== debian/changelog ===
meson (1.0.1-5ubuntu1~backport22.04.202401160847~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Tue, 16 Jan 2024 08:47:11 +0000

meson (1.0.1-5ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - skip test failing due to newer asan version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2023 08:27:04 +0100

meson (1.0.1-5) unstable; urgency=medium

  * Fix incorrect usage of fgetc/fputc. Closes: #1032168.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 11 Mar 2023 23:06:44 +0200

meson (1.0.1-4ubuntu1) lunar; urgency=medium

  * Upload to Ubuntu with a skip of a failing test, due to newer asan version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Mar 2023 10:34:19 +0100

=== debian/control ===
Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.5),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-gtk3-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  gtk-sharp2 <!nocheck>,
  gtk-sharp2-gapi <!nocheck>,
  libglib2.0-cil-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
 python3-setuptools
Recommends:
 dpkg-dev,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 1.2.0

=== debian/changelog ===
meson (1.2.0-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - skip test failing due to newer asan version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 09:01:01 +0200

meson (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jul 2023 23:59:13 +0300

meson (1.2.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 11 Jul 2023 22:09:18 +0300

meson (1.2.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 05 Jul 2023 23:56:53 +0300

meson (1.2.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 28 Jun 2023 17:53:10 +0300

meson (1.1.1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - skip test failing due to newer asan version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2023 10:23:20 +0200

meson (1.1.1-2) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Jun 2023 19:27:41 +0300

meson (1.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 25 May 2023 21:38:39 +0300

meson (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 10 Apr 2023 18:41:34 +0300

meson (1.1.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 Apr 2023 22:03:53 +0300

meson (1.0.1-6) experimental; urgency=medium

  * CPU detection fix from Helmut Grohne. Closes: #1033579.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Mar 2023 00:18:29 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-  python3:any (>= 3.5),
+  python3:any (>= 3.7),
   dh-exec,
   dh-python,
   python3-setuptools,
@@ -43,7 +43,7 @@
   bison <!nocheck>,
   mono-mcs <!nocheck>,
   mono-devel <!nocheck>,
-  libwxgtk3.0-gtk3-dev <!nocheck>,
+  libwxgtk3.2-dev <!nocheck>,
   python3-gi <!nocheck>,
   gtk-doc-tools <!nocheck>,
 # Rust is not needed to build Meson, only to run a part of its test
